Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.nds
Class NDS

    java.lang.Object
      |
      +--com.novell.service.session.nds.NDS

public class NDS
extends java.lang.Object

Provides static session attribute values for NDS.

Field Summary
`static java.lang.String` | `INITIAL_SESSION` Domain name for the NDSInitialSession sessions.
`static java.lang.String` | `PROVIDER_NAME` Name for the NDS provider.
`static java.lang.String` | `SERVER_INFO_DN_ATTR_ID` Operational Attribute ID describing the fully distinguished name of this server in its tree.
`static java.lang.String` | `SERVER_INFO_DS_VERSION_ATTR_ID` Operational Attribute ID describing the raw DS.NLM build version on this server.
`static java.lang.String` | `SERVER_INFO_IS_MASTER_ATTR_ID` Operational Attribute ID describing whether or not this server's root-most paritition is a master replica.
`static java.lang.String` | `SERVER_INFO_ROOT_MOST_DEPTH_ATTR_ID` Operational Attribute ID describing the number of levels down from the [Root] object that this server's root-most entry resides.
`static java.lang.String` | `TREE_NAME_ATTR_ID` Attribute ID describing the raw authentication state of a session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TREE_NAME_ATTR_ID

    public static final java.lang.String TREE_NAME_ATTR_ID

  Attribute ID describing the raw authentication state of a session. The associated value is a String.

  (TREE_NAME_ATTR_ID = "TREE_NAME")

  See Also:
    `SessionAttr`, `Session.getAttributes()`

### PROVIDER_NAME

    public static final java.lang.String PROVIDER_NAME

  Name for the NDS provider.

  (PROVIDER_NAME = "NDS")

  See Also:
    `SessionAttr`, `Session.getAttributes()`, `Session.PROVIDER_NAME_ATTR_ID`

### INITIAL_SESSION

    public static final java.lang.String INITIAL_SESSION

  Domain name for the NDSInitialSession sessions.

  (INITIAL_SESSION = "com.novell.service.session.nds.NDSInitialSession")

  See Also:
    `SessionAttr`, `Session.getAttributes()`, `Session.DOMAIN_NAME_ATTR_ID`, `Session.getDomainName()`

### SERVER_INFO_DS_VERSION_ATTR_ID

    public static final java.lang.String SERVER_INFO_DS_VERSION_ATTR_ID

  Operational Attribute ID describing the raw DS.NLM build version on this server. The associated value is an Integer.

  (SERVER_INFO_DS_VERSION_ATTR_ID = "SERVER_INFO_DS_VERSION")

  See Also:
    `SessionAttr`

### SERVER_INFO_ROOT_MOST_DEPTH_ATTR_ID

    public static final java.lang.String SERVER_INFO_ROOT_MOST_DEPTH_ATTR_ID

  Operational Attribute ID describing the number of levels down from the [Root] object that this server's root-most entry resides. The associated value is an Integer.

  (SERVER_INFO_ROOT_MOST_DEPTH_ATTR_ID = "SERVER_INFO_ROOT_MOST_DEPTH")

  See Also:
    `SessionAttr`

### SERVER_INFO_IS_MASTER_ATTR_ID

    public static final java.lang.String SERVER_INFO_IS_MASTER_ATTR_ID

  Operational Attribute ID describing whether or not this server's root-most paritition is a master replica. The associated value is a Boolean.

  (SERVER_INFO_IS_MASTER_ATTR_ID = "SERVER_INFO_IS_MASTER")

  See Also:
    `SessionAttr`

### SERVER_INFO_DN_ATTR_ID

    public static final java.lang.String SERVER_INFO_DN_ATTR_ID

  Operational Attribute ID describing the fully distinguished name of this server in its tree. The associated value is a String.

  (SERVER_INFO_DN_ATTR_ID = "SERVER_INFO_DN")

  See Also:
    `SessionAttr`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD